Bug 535397 - (RHQ-2098) have JMX plugin support the case when parent resource has jmx remoting enabled
have JMX plugin support the case when parent resource has jmx remoting enabled
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
unspecified
All All
high Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Corey Welton
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-20 00:19 EDT by John Mazzitelli
Modified: 2009-07-07 13:00 EDT (History)
0 users

See Also:
Fixed In Version: 1.2.1, 1.3
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2009-05-20 00:19:00 EDT
use-case: have JBossAS with secured JNP endpoint AND with secured remote JMX endpoint.

Need the resources to be discovered and managed properly.
Comment 1 John Mazzitelli 2009-05-20 00:19:44 EDT
	M source/rhq/trunk/modules/plugins/jmx/src/main/java/org/rhq/plugins/jmx/EmbeddedJMXServerDiscoveryComponent.java
	M source/rhq/trunk/modules/plugins/jmx/src/main/java/org/rhq/plugins/jmx/JMXDiscoveryComponent.java
	M source/rhq/trunk/modules/plugins/jmx/src/main/resources/META-INF/rhq-plugin.xml
Committed revision 3962
Comment 2 John Mazzitelli 2009-05-20 00:26:39 EDT
svn rev 3963 checked into the branch RHQ_1_2_0_GA_CP
Comment 3 John Mazzitelli 2009-05-27 12:10:11 EDT
see RHQ-2104 for replication procedures for a use-case that uses this
Comment 4 Corey Welton 2009-06-19 14:07:19 EDT
QA Verified for CP, JMX server now appears as a child of JBoss Server.
Comment 5 Red Hat Bugzilla 2009-11-10 15:57:44 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2098

Note You need to log in before you can comment on or make changes to this bug.